summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron Ball <nullspoon@oper.io>2017-06-23 08:32:00 -0600
committerAaron Ball <nullspoon@oper.io>2017-06-23 08:32:00 -0600
commit84d9a6363b1179565d1e7d1af82005673df76515 (patch)
tree2196eb888344d833c709f73520e301b7aeb7ed18
parent533cff3fadcf3b4bf2e18fe011459620a2e3b757 (diff)
downloadportimg-84d9a6363b1179565d1e7d1af82005673df76515.tar.gz
portimg-84d9a6363b1179565d1e7d1af82005673df76515.tar.xz
pkgimg:Added pkgmk exit on failure.
This will make debugging problems a lot easier, and the problems much more obvious.
-rwxr-xr-xbin/pkgimg.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/bin/pkgimg.sh b/bin/pkgimg.sh
index fdece5a..0dd0040 100755
--- a/bin/pkgimg.sh
+++ b/bin/pkgimg.sh
@@ -43,6 +43,7 @@ function main {
for port in $(grep -v '^#' ${manifest} | grep -v '^[ ]*$'); do
# Call pkgmk to build the port
pkgmk ${port}
+ [ $? -gt 0 ] && return 1
# Move the package contents to the install base
linfo "Synchronizing ${port} build to install base ${installbase}"

Generated by cgit